test_dataExamples <- function(){
	library(Biobase)
	data(oligoSetExample)
	checkTrue(validObject(oligoSet))
	obj <- new("oligoSnpSet",
		   copyNumber=copyNumber(oligoSet),
		   call=calls(oligoSet),
		   featureData=featureData(oligoSet),
		   phenoData=phenoData(oligoSet))
	obj <- new("oligoSnpSet",
		   copyNumber=copyNumber(oligoSet),
		   call=calls(oligoSet),
		   featureData=featureData(oligoSet),
		   phenoData=phenoData(oligoSet),
		   genome="hg18")
	checkIdentical(genomeBuild(obj), "hg18")
}

test_CNSet_construction <- function(){
	library(oligoClasses);library(RUnit)
	checkTrue(validObject(new("CNSet")))
	a <- matrix(1:25, 5, 5, dimnames=list(letters[1:5], LETTERS[1:5]))
	tmp <- new("CNSet", alleleA=a, batch=rep("a", 5))
	checkTrue(validObject(tmp))
	tmp2 <- tmp[1:3, 1:2]
	checkTrue(validObject(tmp2))

	tmp2 <- new("CNSet", alleleA=a, batch=c(rep("a", 3), "b", "b"))
	checkTrue(validObject(tmp2))
	checkTrue(identical(batchNames(tmp2), c("a", "b", "grandMean")))


}



test_BeadStudioSet <- function(){
  checkTrue(validObject(new("BafLrrSet")))
}

test_BafLrrSetList <- function(){
  checkTrue(validObject(new("BafLrrSetList")))
}
